#
# spec file for package hardlink
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hardlink
Summary:        Create a tree of hardlinks
License:        GPL-2.0+
Group:          System/Base
Version:        1.0+git.e66999f
Release:        lp150.1.8
Url:            https://pagure.io/hardlink

#Git-Clone:	https://pagure.io/hardlink.git
Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz

%description
hardlink is used to create a tree of hard links. It's used by kernel
installation to dramatically reduce the amount of diskspace used by
each kernel package installed.

%prep
%setup -q

%build
gcc %optflags hardlink.c -o hardlink

%install
install -D -m 644 hardlink.1 "%buildroot/%_mandir/man1/hardlink.1"
install -D -m 755 hardlink "%buildroot/%_bindir/hardlink"

%files
%defattr(-,root,root)
%{_bindir}/hardlink
%{_mandir}/man1/hardlink.1*
%doc gpl-2.0.txt

%changelog
* Wed Mar 22 2017 fcrozat@suse.com
- Switch to source service and update git snapshot to e66999f:
  * Make hardlinking atomic wrt replacing existing files
  * Fixed 32 bit build with gcc7 (rh#1422989) (boo#1030251)
* Sat Nov 22 2014 jengelh@inai.de
- Create a tarball from git and use that instead of loose files
- Put the hardlink utility in bindir so that normal users can make
  use of it as well
* Wed Nov 13 2013 sweet_f_a@gmx.de
- Mention -f option in the man page (pulled from upstream)
* Tue Jul 31 2012 fcrozat@suse.com
- Remove yaml file (leftover from Meego)
- cleanup specfile
- add a copy of GPLv2
* Mon Jul 23 2012 fcrozat@suse.com
- Update package url section
- Update manpage to add bugs section
- Update code to latest version:
  + fix possible buffer overflows, integer overflows
    (CVE-2011-3630 CVE-2011-3631 CVE-2011-3632)
  + do not allow to hardlink files across filesystems by default
    (rh#786719) (use -f option to override)
  + don't use mmap(2) to avoid failure on u386 with 1GB files or
    larger (rh#672917)
* Mon Jun 28 2010 kkaempf@novell.com
- added "BuildRoot: %%{_tmppath}/%%{name}-%%{version}-%%{release}-root"
* Sun Mar  7 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Remove epoch
* Mon Feb 22 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Update Group
* Tue Feb 16 2010 Anas Nashif <anas.nashif@intel.com> - 1.0
- Updated yaml and sanitized spec
* Wed Aug 12 2009 Anas Nashif <anas.nashif@intel.com> - 1.0
- Initial import into Moblin
